diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/trace-source-accessor.h ns-3.44/src/core/model/trace-source-accessor.h
--- ns-3.43/src/core/model/trace-source-accessor.h	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/model/trace-source-accessor.h	2025-03-09 16:55:49.363371100 -0700
@@ -15,8 +15,8 @@
 #include <stdint.h>
 
 /**
- * \file
- * \ingroup tracing
+ * @file
+ * @ingroup tracing
  * ns3::TraceSourceAccessor and ns3::MakeTraceSourceAccessor declarations.
  */
 
@@ -26,9 +26,9 @@
 class ObjectBase;
 
 /**
- * \ingroup tracing
+ * @ingroup tracing
  *
- * \brief Control access to objects' trace sources.
+ * @brief Control access to objects' trace sources.
  *
  * This class abstracts the kind of trace source to which we want to connect
  * and provides services to Connect and Disconnect a sink to a trace source.
@@ -44,9 +44,9 @@
     /**
      * Connect a Callback to a TraceSource (without context.)
      *
-     * \param [in] obj The object instance which contains the target trace source.
-     * \param [in] cb The callback to connect to the target trace source.
-     * \return \c true unless the connection could not be made, typically because
+     * @param [in] obj The object instance which contains the target trace source.
+     * @param [in] cb The callback to connect to the target trace source.
+     * @return \c true unless the connection could not be made, typically because
      *         the \c obj couldn't be cast to the correct type.
      */
     virtual bool ConnectWithoutContext(ObjectBase* obj, const CallbackBase& cb) const = 0;
@@ -56,19 +56,19 @@
      * The context string will be provided as the first argument to the
      * Callback function.
      *
-     * \param [in] obj The object instance which contains the target trace source.
-     * \param [in] context The context to bind to the user callback.
-     * \param [in] cb The callback to connect to the target trace source.
-     * \return \c true unless the connection could not be made, typically because
+     * @param [in] obj The object instance which contains the target trace source.
+     * @param [in] context The context to bind to the user callback.
+     * @param [in] cb The callback to connect to the target trace source.
+     * @return \c true unless the connection could not be made, typically because
      *         the \c obj couldn't be cast to the correct type.
      */
     virtual bool Connect(ObjectBase* obj, std::string context, const CallbackBase& cb) const = 0;
     /**
      * Disconnect a Callback from a TraceSource (without context).
      *
-     * \param [in] obj The object instance which contains the target trace source.
-     * \param [in] cb The callback to disconnect from the target trace source.
-     * \return \c true unless the connection could not be made, typically because
+     * @param [in] obj The object instance which contains the target trace source.
+     * @param [in] cb The callback to disconnect from the target trace source.
+     * @return \c true unless the connection could not be made, typically because
      *         the \c obj couldn't be cast to the correct type.
      */
     virtual bool DisconnectWithoutContext(ObjectBase* obj, const CallbackBase& cb) const = 0;
@@ -78,17 +78,17 @@
      * The context string will be provided as the first argument to the
      * Callback function.
      *
-     * \param [in] obj the object instance which contains the target trace source.
-     * \param [in] context the context which was bound to the user callback.
-     * \param [in] cb the callback to disconnect from the target trace source.
-     * \return \c true unless the connection could not be made, typically because
+     * @param [in] obj the object instance which contains the target trace source.
+     * @param [in] context the context which was bound to the user callback.
+     * @param [in] cb the callback to disconnect from the target trace source.
+     * @return \c true unless the connection could not be made, typically because
      *         the \c obj couldn't be cast to the correct type.
      */
     virtual bool Disconnect(ObjectBase* obj, std::string context, const CallbackBase& cb) const = 0;
 };
 
 /**
- * \ingroup tracing
+ * @ingroup tracing
  *
  * Create a TraceSourceAccessor which will control access to the underlying
  * trace source.
@@ -99,18 +99,18 @@
  * static-polymorphic class.  This functionality is typically provided
  * by wrapping an object data member in a TracedCallback or TracedValue.
  *
- * \param [in] a The trace source
- * \returns The TraceSourceAccessor
+ * @param [in] a The trace source
+ * @returns The TraceSourceAccessor
  */
 template <typename T>
 Ptr<const TraceSourceAccessor> MakeTraceSourceAccessor(T a);
 
 /**
- * \ingroup tracing
+ * @ingroup tracing
  *
  * Create an empty TraceSourceAccessor.
  *
- * \returns The empty TraceSourceAccessor (runtime exception if used)
+ * @returns The empty TraceSourceAccessor (runtime exception if used)
  */
 static inline Ptr<const TraceSourceAccessor>
 MakeEmptyTraceSourceAccessor()
@@ -128,13 +128,13 @@
 {
 
 /**
- * \ingroup tracing
+ * @ingroup tracing
  * MakeTraceSourceAccessor() implementation.
  *
- * \tparam T \deduced Class type of the TracedCallback
- * \tparam SOURCE \deduced Type of the underlying value.
- * \param [in] a The underlying data value.
- * \returns The TraceSourceAccessor
+ * @tparam T \deduced Class type of the TracedCallback
+ * @tparam SOURCE \deduced Type of the underlying value.
+ * @param [in] a The underlying data value.
+ * @returns The TraceSourceAccessor
  */
 template <typename T, typename SOURCE>
 Ptr<const TraceSourceAccessor>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/trickle-timer.cc ns-3.44/src/core/model/trickle-timer.cc
--- ns-3.43/src/core/model/trickle-timer.cc	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/model/trickle-timer.cc	2025-03-09 16:55:49.363371100 -0700
@@ -150,7 +150,7 @@
     uint64_t randomInt;
     double random;
 
-    NS_ASSERT_MSG(m_minInterval != Time(0), "Timer not initialized");
+    NS_ASSERT_MSG(!m_minInterval.IsZero(), "Timer not initialized");
 
     randomInt = m_uniRand->GetInteger(1, m_ticks);
     random = randomInt;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/trickle-timer.h ns-3.44/src/core/model/trickle-timer.h
--- ns-3.43/src/core/model/trickle-timer.h	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/model/trickle-timer.h	2025-03-09 16:55:49.363371100 -0700
@@ -14,8 +14,8 @@
 #include "random-variable-stream.h"
 
 /**
- * \file
- * \ingroup timer
+ * @file
+ * @ingroup timer
  * ns3::TrickleTimer timer class declaration.
  */
 
@@ -30,8 +30,8 @@
 } // namespace internal
 
 /**
- * \ingroup timer
- * \brief A Trickle Timer following \RFC{6206}.
+ * @ingroup timer
+ * @brief A Trickle Timer following \RFC{6206}.
  *
  * A Trickle Timer is a timer that varies its frequency between a minimum
  * and a maximum, depending on events. It is typically used to exchange
@@ -75,9 +75,9 @@
      *
      * The maximum interval is set to std::exp2 (doublings) * minInterval.
      *
-     * \param minInterval Minimum interval.
-     * \param doublings Number of doublings to reach the maximum interval.
-     * \param redundancy Redundancy constant.
+     * @param minInterval Minimum interval.
+     * @param doublings Number of doublings to reach the maximum interval.
+     * @param redundancy Redundancy constant.
      *
      * A zero value in the redundancy constant means that the suppression
      * algorithm is disabled.
@@ -91,19 +91,19 @@
     /**
      * Assigns the stream number for the uniform random number generator to use
      *
-     * \param streamNum first stream index to use
-     * \return the number of stream indices assigned by this helper
+     * @param streamNum first stream index to use
+     * @return the number of stream indices assigned by this helper
      */
     int64_t AssignStreams(int64_t streamNum);
 
     /**
-     * \brief Set the timer parameters.
+     * @brief Set the timer parameters.
      *
      * The maximum interval is set to std::exp2 (doublings) * minInterval.
      *
-     * \param minInterval Minimum interval.
-     * \param doublings Number of doublings to reach the maximum interval.
-     * \param redundancy Redundancy constant.
+     * @param minInterval Minimum interval.
+     * @param doublings Number of doublings to reach the maximum interval.
+     * @param redundancy Redundancy constant.
      *
      * A zero value in the redundancy constant means that the suppression
      * algorithm is disabled.
@@ -112,67 +112,67 @@
     void SetParameters(Time minInterval, uint8_t doublings, uint16_t redundancy);
 
     /**
-     * \brief Get the MinInterval of the timer.
-     * \return The MinInterval
+     * @brief Get the MinInterval of the timer.
+     * @return The MinInterval
      */
     Time GetMinInterval() const;
 
     /**
-     * \brief Get the MaxInterval of the timer.
+     * @brief Get the MaxInterval of the timer.
      *
      * The timer MaxInterval is always std::exp2 (doublings) * minInterval
-     * \return The MaxInterval
+     * @return The MaxInterval
      */
     Time GetMaxInterval() const;
 
     /**
-     * \brief Get the doublings of the timer.
-     * \return The doublings
+     * @brief Get the doublings of the timer.
+     * @return The doublings
      */
     uint8_t GetDoublings() const;
 
     /**
-     * \brief Get the Redundancy constant of the timer.
-     * \return The Redundancy
+     * @brief Get the Redundancy constant of the timer.
+     * @return The Redundancy
      */
     uint16_t GetRedundancy() const;
 
     /**
-     * \returns The amount of time left until this timer expires.
+     * @returns The amount of time left until this timer expires.
      *
      * This method returns zero if the timer has never been started.
      */
     Time GetDelayLeft() const;
 
     /**
-     * \returns The amount of time left until this timer interval expires.
+     * @returns The amount of time left until this timer interval expires.
      *
      * This method returns zero if the timer has never been started.
      */
     Time GetIntervalLeft() const;
 
     /**
-     * \brief Enable the timer.
+     * @brief Enable the timer.
      */
     void Enable();
 
     /**
-     * \brief Records a consistent event.
+     * @brief Records a consistent event.
      */
     void ConsistentEvent();
 
     /**
-     * \brief Records an inconsistent event.
+     * @brief Records an inconsistent event.
      */
     void InconsistentEvent();
 
     /**
-     * \brief Reset the timer.
+     * @brief Reset the timer.
      */
     void Reset();
 
     /**
-     * \brief Stop the timer.
+     * @brief Stop the timer.
      *
      * This will reset the timer and cancel all the pending events.
      */
@@ -181,8 +181,8 @@
     /**
      * Set the function to execute when the timer expires.
      *
-     * \tparam FN \deduced The type of the function.
-     * \param [in] fn The function
+     * @tparam FN \deduced The type of the function.
+     * @param [in] fn The function
      *
      * Store this function in this Timer for later use by Timer::Schedule.
      */
@@ -192,10 +192,10 @@
     /**
      * Set the function to execute when the timer expires.
      *
-     * \tparam MEM_PTR \deduced Class method function type.
-     * \tparam OBJ_PTR \deduced Class type containing the function.
-     * \param [in] memPtr The member function pointer
-     * \param [in] objPtr The pointer to object
+     * @tparam MEM_PTR \deduced Class method function type.
+     * @tparam OBJ_PTR \deduced Class type containing the function.
+     * @param [in] memPtr The member function pointer
+     * @param [in] objPtr The pointer to object
      *
      * Store this function and object in this Timer for later use by Timer::Schedule.
      */
@@ -207,8 +207,8 @@
      */
     /**@{*/
     /**
-     * \tparam Ts \deduced Argument types.
-     * \param [in] args arguments
+     * @tparam Ts \deduced Argument types.
+     * @param [in] args arguments
      */
     template <typename... Ts>
     void SetArguments(Ts&&... args);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/tuple.h ns-3.44/src/core/model/tuple.h
--- ns-3.43/src/core/model/tuple.h	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/model/tuple.h	2025-03-09 16:55:49.363371100 -0700
@@ -22,16 +22,16 @@
 {
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  * See https://en.cppreference.com/w/cpp/utility/apply
  *
  * Prints tuple values separated by a comma. E.g., if the tuple contains
  * v1, v2 and v3, then "v1, v2, v3" will be added to the stream.
  *
- * \tparam Args \deduced Tuple arguments
- * \param os the output stream
- * \param t the tuple
- * \returns a reference to the stream
+ * @tparam Args \deduced Tuple arguments
+ * @param os the output stream
+ * @param t the tuple
+ * @returns a reference to the stream
  */
 template <class... Args>
 std::ostream&
@@ -47,20 +47,20 @@
 }
 
 /**
- * \ingroup attributes
- * \defgroup attribute_Tuple Tuple Attribute
+ * @ingroup attributes
+ * @defgroup attribute_Tuple Tuple Attribute
  * AttributeValue implementation for Tuple
  */
 
 /**
- * \ingroup attribute_Tuple
+ * @ingroup attribute_Tuple
  *
  * AttributeValue implementation for Tuple.
  *
  * Hold objects of type std::tuple<Args...>.
- * \tparam Args \explicit The list of AttributeValues to be held by this TupleValue
+ * @tparam Args \explicit The list of AttributeValues to be held by this TupleValue
  *
- * \see AttributeValue
+ * @see AttributeValue
  */
 template <class... Args>
 class TupleValue : public AttributeValue
@@ -76,7 +76,7 @@
     /**
      * Construct this TupleValue from a std::tuple
      *
-     * \param [in] value Value with which to construct.
+     * @param [in] value Value with which to construct.
      */
     TupleValue(const result_type& value);
 
@@ -89,29 +89,29 @@
      *
      * This differs from the actual value stored in the object which is
      * a tuple of Ptr<AV> where AV is a class derived from AttributeValue.
-     * \return stored values as a std::tuple
+     * @return stored values as a std::tuple
      */
     result_type Get() const;
     /**
      * Set the stored values.
      *
-     * \param value The stored value
+     * @param value The stored value
      */
     void Set(const result_type& value);
 
     /**
      * Get the attribute values as a tuple.
-     * \return the attribute values as a tuple
+     * @return the attribute values as a tuple
      */
     value_type GetValue() const;
 
     /**
      * Set the given variable to the values stored by this TupleValue object.
      *
-     * \tparam T \deduced the type of the given variable (normally, the argument type
+     * @tparam T \deduced the type of the given variable (normally, the argument type
      *           of a set method or the type of a data member)
-     * \param [out] value The stored value
-     * \return true if the given variable was set
+     * @param [out] value The stored value
+     * @return true if the given variable was set
      */
     template <typename T>
     bool GetAccessor(T& value) const;
@@ -121,9 +121,9 @@
      * Set the attribute values starting from the given values.
      * Used by DeserializeFromString method.
      *
-     * \tparam Is \deduced index sequence
-     * \param values the given attribute values
-     * \return true if the attribute values of this object were set
+     * @tparam Is \deduced index sequence
+     * @param values the given attribute values
+     * @return true if the attribute values of this object were set
      */
     template <std::size_t... Is>
     bool SetValueImpl(std::index_sequence<Is...>, const std::vector<Ptr<AttributeValue>>& values);
@@ -132,27 +132,27 @@
 };
 
 /**
- * \ingroup attribute_Tuple
+ * @ingroup attribute_Tuple
  *
  * Create a TupleValue object. Enable to write code like this snippet:
  *
- * \code
+ * @code
  * typedef std::tuple<uint16_t, double> Tuple;
  * typedef std::tuple<UintegerValue, DoubleValue> Pack;
  *
  * TupleValue<UintegerValue, DoubleValue> t = MakeTupleValue<Pack> (Tuple {10, 1.5});
- * \endcode
+ * @endcode
  *
- * \tparam T1 \explicit A std::tuple of the AttributeValue types included in TupleValue
- * \tparam T2 \deduced A std::tuple of the type of elements stored by TupleValue
- * \param t the tuple of elements stored by TupleValue
- * \return a TupleValue object
+ * @tparam T1 \explicit A std::tuple of the AttributeValue types included in TupleValue
+ * @tparam T2 \deduced A std::tuple of the type of elements stored by TupleValue
+ * @param t the tuple of elements stored by TupleValue
+ * @return a TupleValue object
  */
 template <class T1, class T2>
 auto MakeTupleValue(T2 t);
 
 /**
- * \ingroup attribute_Tuple
+ * @ingroup attribute_Tuple
  *
  * Checker for attribute values storing tuples.
  */
@@ -162,53 +162,53 @@
     /**
      * Get the checkers for all tuple elements.
      *
-     * \return the checkers for all tuple elements
+     * @return the checkers for all tuple elements
      */
     virtual const std::vector<Ptr<const AttributeChecker>>& GetCheckers() const = 0;
 };
 
 /**
- * \ingroup attribute_Tuple
+ * @ingroup attribute_Tuple
  *
  * Create a TupleChecker from AttributeCheckers associated with TupleValue elements.
  *
- * \tparam Args \explicit Attribute value types
- * \tparam Ts \deduced Attribute checker types
- * \param checkers attribute checkers
- * \return Pointer to TupleChecker instance.
+ * @tparam Args \explicit Attribute value types
+ * @tparam Ts \deduced Attribute checker types
+ * @param checkers attribute checkers
+ * @return Pointer to TupleChecker instance.
  */
 template <class... Args, class... Ts>
 Ptr<const AttributeChecker> MakeTupleChecker(Ts... checkers);
 
 /**
- * \ingroup attribute_Tuple
+ * @ingroup attribute_Tuple
  *
  * Create an AttributeAccessor for a class data member of type tuple,
  * or a lone class get functor or set method.
  *
- * \tparam Args \explicit Attribute value types
- * \tparam T1 \deduced The type of the class data member,
+ * @tparam Args \explicit Attribute value types
+ * @tparam T1 \deduced The type of the class data member,
  *            or the type of the class get functor or set method.
- * \param a1 The address of the data member,
+ * @param a1 The address of the data member,
  *           or the get or set method.
- * \return the AttributeAccessor
+ * @return the AttributeAccessor
  */
 template <class... Args, class T1>
 Ptr<const AttributeAccessor> MakeTupleAccessor(T1 a1);
 
 /**
- * \ingroup attribute_Tuple
+ * @ingroup attribute_Tuple
  *
  * Create an AttributeAccessor using a pair of get functor
  * and set methods from a class.
  *
- * \tparam Args \explicit Attribute value types
- * \tparam T1 \deduced The type of the class data member,
+ * @tparam Args \explicit Attribute value types
+ * @tparam T1 \deduced The type of the class data member,
  *            or the type of the class get functor or set method.
- * \tparam T2 \deduced The type of the getter class functor method.
- * \param a2 The address of the class method to set the attribute.
- * \param a1 The address of the data member, or the get or set method.
- * \return the AttributeAccessor
+ * @tparam T2 \deduced The type of the getter class functor method.
+ * @param a2 The address of the class method to set the attribute.
+ * @param a1 The address of the data member, or the get or set method.
+ * @return the AttributeAccessor
  */
 template <class... Args, class T1, class T2>
 Ptr<const AttributeAccessor> MakeTupleAccessor(T1 a1, T2 a2);
@@ -281,14 +281,17 @@
 
     value.erase(value.begin());
     value.pop_back();
-    std::replace(value.data(), value.data() + value.size(), ',', ' ');
 
     std::istringstream iss(value);
     std::vector<Ptr<AttributeValue>> values;
     std::size_t i = 0;
 
-    while (iss >> value)
+    for (std::string elem; std::getline(iss, elem, ',');)
     {
+        // remove leading whitespaces
+        std::istringstream tmp{elem};
+        std::getline(tmp >> std::ws, value);
+
         if (i >= count)
         {
             return false;
@@ -354,7 +357,7 @@
 {
 
 /**
- * \ingroup attribute_Tuple
+ * @ingroup attribute_Tuple
  *
  * Internal checker class templated to each AttributeChecker
  * for each entry in the tuple.
@@ -365,8 +368,8 @@
   public:
     /**
      * Constructor.
-     * \tparam Ts \deduced the type of the attribute checkers
-     * \param checkers the attribute checkers for individual elements of the tuple
+     * @tparam Ts \deduced the type of the attribute checkers
+     * @param checkers the attribute checkers for individual elements of the tuple
      */
     template <class... Ts>
     TupleChecker(Ts... checkers)
@@ -431,7 +434,7 @@
 };
 
 /**
- * \ingroup attribute_Tuple
+ * @ingroup attribute_Tuple
  *
  * Helper class defining static methods for MakeTupleChecker and MakeTupleAccessor
  * that are called when user specifies the list of AttributeValue types included
@@ -441,7 +444,7 @@
 struct TupleHelper
 {
     /**
-     * \copydoc ns3::MakeTupleChecker
+     * @copydoc ns3::MakeTupleChecker
      */
     template <class... Ts>
     static Ptr<const AttributeChecker> MakeTupleChecker(Ts... checkers)
@@ -450,7 +453,7 @@
     }
 
     /**
-     * \copydoc ns3::MakeTupleAccessor(T1)
+     * @copydoc ns3::MakeTupleAccessor(T1)
      */
     template <class T1>
     static Ptr<const AttributeAccessor> MakeTupleAccessor(T1 a1)
@@ -459,7 +462,7 @@
     }
 
     /**
-     * \copydoc ns3::MakeTupleAccessor(T1,T2)
+     * @copydoc ns3::MakeTupleAccessor(T1,T2)
      */
     template <class T1, class T2>
     static Ptr<const AttributeAccessor> MakeTupleAccessor(T1 a1, T2 a2)
@@ -469,7 +472,7 @@
 };
 
 /**
- * \ingroup attribute_Tuple
+ * @ingroup attribute_Tuple
  *
  * Helper class defining static methods for MakeTupleValue, MakeTupleChecker and
  * MakeTupleAccessor that are called when user provides a std::tuple of the
@@ -480,7 +483,7 @@
 struct TupleHelper<std::tuple<Args...>>
 {
     /**
-     * \copydoc ns3::MakeTupleValue
+     * @copydoc ns3::MakeTupleValue
      */
     static TupleValue<Args...> MakeTupleValue(const typename TupleValue<Args...>::result_type& t)
     {
@@ -488,7 +491,7 @@
     }
 
     /**
-     * \copydoc ns3::MakeTupleChecker
+     * @copydoc ns3::MakeTupleChecker
      */
     template <class... Ts>
     static Ptr<const AttributeChecker> MakeTupleChecker(Ts... checkers)
@@ -497,7 +500,7 @@
     }
 
     /**
-     * \copydoc ns3::MakeTupleAccessor(T1)
+     * @copydoc ns3::MakeTupleAccessor(T1)
      */
     template <class T1>
     static Ptr<const AttributeAccessor> MakeTupleAccessor(T1 a1)
@@ -506,7 +509,7 @@
     }
 
     /**
-     * \copydoc ns3::MakeTupleAccessor(T1,T2)
+     * @copydoc ns3::MakeTupleAccessor(T1,T2)
      */
     template <class T1, class T2>
     static Ptr<const AttributeAccessor> MakeTupleAccessor(T1 a1, T2 a2)
